Subject: RE: [Sipping] Req-URI of PRACK

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 30 Jul 2001 18:49:49 -0400

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Monday, July 30, 2001 12:06 PM
> To: A Venkatraman
> Cc: [email-masked]
> Subject: Re: [Sipping] Req-URI of PRACK
> 
> 
> Hello,
> 
> This question is actually more related to SIP than to SIPPING. Anyway,
> the question would be how to route messages in general before the
> INVITE-200 OK Route has been built. Because the Record-Route 
> in the 200
> OK will be the one used in the ACK and in subsequent 
> requests. Otherwise
> RFC 2543 compliant entities would be confused.
> 
> The idea is to build a Route to be used for requests between 
> the INVITE
> and the 200 OK. This Route can be built using the Record-Route
> information contained in the reliable response. Therefore, this Route
> will be typically applicable for PRACKs and COMETs.
> 
> In your example, no Record-Route and a contact header means 
> that PRACKs
> do not need to carry a Route header, but have to be sent (request-URI)
> to the address specified in the contact (as you figured out).

Right.

In general, the model I have been thinking about is that a provisional
response with a tag and record-routes is treated much like a 200 OK - it
creates an "early call leg", with associated route sets, cseq numbers, and
so on. Any requests sent within this early call leg are build in the same
way they would be built if the response had been a 200 OK. In that case, the
PRACK (which is a request within the early call leg) is built using the
route set learned from the provisional response. If there were no proxies
that record-routed, this route set has only one element - the Contact
inserted by the UAS (if a proxy sends a reliable provisional response, its
effectively a UAS for the purposes of the early call leg). In that case, the
PRACK goes directly to that URL.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP